## MMCallProperties MMCallProperties — Helper object to handle CALL properties. |

## Functions

MMCallProperties * | mm_call_properties_new ()
const gchar * | mm_call_properties_get_number ()
void | mm_call_properties_set_number ()
MMCallDirection | mm_call_properties_get_direction ()
void | mm_call_properties_set_direction ()
MMCallState | mm_call_properties_get_state ()
void | mm_call_properties_set_state ()
MMCallStateReason | mm_call_properties_get_state_reason ()
void | mm_call_properties_set_state_reason ()

## Types and Values

struct | MMCallProperties

## Object Hierarchy

        GObject
        ╰── MMCallProperties

## Description

The MMCallProperties is an object handling the properties to be set in newly created CALL objects.

This object is created by the user and passed to ModemManager with either `mm_modem_voice_create_call()` or `mm_modem_voice_create_call_sync()`.

## Functions

### mm_call_properties_new ()

    MMCallProperties *
    mm_call_properties_new (void);

Creates a new empty MMCallProperties.

#### Returns

a MMCallProperties. The returned value should be freed with `g_object_unref()`.

[transfer full]

Since: 1.6

### mm_call_properties_get_number ()

    const gchar *
    mm_call_properties_get_number (MMCallProperties *self);

Gets the number, in UTF-8.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call number, or `NULL` if it doesn't contain any (anonymous caller). Do not free the returned value, it is owned by `self` .

Since: 1.6

### mm_call_properties_set_number ()

    void
    mm_call_properties_set_number (MMCallProperties *self,
                                   const gchar *text);

Sets the call number.

#### Parameters

self | A MMCallProperties. |
text | The number to set, in UTF-8. |

Since: 1.6

### mm_call_properties_get_direction ()

    MMCallDirection
    mm_call_properties_get_direction (MMCallProperties *self);

`mm_call_properties_get_direction` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the direction of the call, as it is implicit (outgoing always). This parameter has always been ignored during the new call creation processing.

Gets the call direction.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call direction.

Since: 1.6

### mm_call_properties_set_direction ()

    void
    mm_call_properties_set_direction (MMCallProperties *self,
                                      MMCallDirection direction);

`mm_call_properties_set_direction` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the direction of the call, as it is implicit (outgoing always). Anyway, this parameter has always been ignored during the new call creation processing.

Sets the call direction.

#### Parameters

self | A MMCallProperties. |
direction | the call direction |

Since: 1.6

### mm_call_properties_get_state ()

    MMCallState
    mm_call_properties_get_state (MMCallProperties *self);

`mm_call_properties_get_state` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Gets the call state.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call state.

Since: 1.6

### mm_call_properties_set_state ()

    void
    mm_call_properties_set_state (MMCallProperties *self,
                                  MMCallState state);

`mm_call_properties_set_state` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Sets the call state

#### Parameters

self | A MMCallProperties. |
state | the call state |

Since: 1.6

### mm_call_properties_get_state_reason ()

    MMCallStateReason
    mm_call_properties_get_state_reason (MMCallProperties *self);

`mm_call_properties_get_state_reason` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state reason of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Gets the call state reason.

#### Parameters

self | A MMCallProperties. |

#### Returns

the call state reason.

Since: 1.6

### mm_call_properties_set_state_reason ()

    void
    mm_call_properties_set_state_reason (MMCallProperties *self,
                                         MMCallStateReason state_reason);

`mm_call_properties_set_state_reason` has been deprecated since version 1.12 and should not be used in newly-written code.

the user should not specify the state reason of the call before the call is created. This parameter has always been ignored during the new call creation processing.

Sets the call state reason.

#### Parameters

self | A MMCallProperties. |
state_reason | the call state reason. |

Since: 1.6

## Types and Values

### struct MMCallProperties

    struct MMCallProperties;

The MMCallProperties structure contains private data and should only be accessed using the provided API.